{ stdenv
, lib
, buildGoModule
, fetchFromGitHub
}:

buildGoModule rec {
  pname = "sql-migrate";
  version = "1.7.0";

  src = fetchFromGitHub {
    owner = "rubenv";
    repo = "sql-migrate";
    rev = "v${version}";
    hash = "sha256-UAkZkLiUI0aTYLkgXW/Im0POjFCEnZa5zAE435LJKMg=";
  };

  vendorHash = "sha256-rBVFxzppP71txZPk7C1O+eHCEuCzHFWZKdyOFYOqpfA=";

  ldflags = [
    "-s"
    "-w"
    "-X Main.Version=v${version}"
  ];

  doCheck = false;

  meta = with lib; {
    homepage = "https://github.com/rubenv/sql-migrate";
    description = "SQL schema migration tool for Go programs";
    license = licenses.mit;
  };
}